Lucene search

K
amazonAmazonALAS2-2019-1212
HistoryMay 16, 2019 - 9:48 p.m.

Important: kernel

2019-05-1621:48:00
alas.aws.amazon.com
52

8.1 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

8.1 High

AI Score

Confidence

High

9.3 High

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:N/AC:M/Au:N/C:C/I:C/A:C

0.007 Low

EPSS

Percentile

79.7%

Issue Overview:

A flaw was found in the Linux kernel’s implementation of RDS over TCP. A system that has the rds_tcp kernel module loaded (either through autoload via local process running listen(), or manual loading) could possibly cause a use after free (UAF) in which an attacker who is able to manipulate socket state while a network namespace is being torn down. This can lead to possible memory corruption and privilege escalation.(CVE-2019-11815)

Affected Packages:

kernel

Note:

This advisory is applicable to Amazon Linux 2 (AL2) Core repository. Visit this FAQ section for the difference between AL2 Core and AL2 Extras advisories.

Issue Correction:
Run yum update kernel to update your system.

New Packages:

aarch64:  
    kernel-4.14.114-105.126.amzn2.aarch64  
    kernel-headers-4.14.114-105.126.amzn2.aarch64  
    kernel-debuginfo-common-aarch64-4.14.114-105.126.amzn2.aarch64  
    perf-4.14.114-105.126.amzn2.aarch64  
    perf-debuginfo-4.14.114-105.126.amzn2.aarch64  
    python-perf-4.14.114-105.126.amzn2.aarch64  
    python-perf-debuginfo-4.14.114-105.126.amzn2.aarch64  
    kernel-tools-4.14.114-105.126.amzn2.aarch64  
    kernel-tools-devel-4.14.114-105.126.amzn2.aarch64  
    kernel-tools-debuginfo-4.14.114-105.126.amzn2.aarch64  
    kernel-devel-4.14.114-105.126.amzn2.aarch64  
    kernel-debuginfo-4.14.114-105.126.amzn2.aarch64  
  
i686:  
    kernel-headers-4.14.114-105.126.amzn2.i686  
  
src:  
    kernel-4.14.114-105.126.amzn2.src  
  
x86_64:  
    kernel-4.14.114-105.126.amzn2.x86_64  
    kernel-headers-4.14.114-105.126.amzn2.x86_64  
    kernel-debuginfo-common-x86_64-4.14.114-105.126.amzn2.x86_64  
    perf-4.14.114-105.126.amzn2.x86_64  
    perf-debuginfo-4.14.114-105.126.amzn2.x86_64  
    python-perf-4.14.114-105.126.amzn2.x86_64  
    python-perf-debuginfo-4.14.114-105.126.amzn2.x86_64  
    kernel-tools-4.14.114-105.126.amzn2.x86_64  
    kernel-tools-devel-4.14.114-105.126.amzn2.x86_64  
    kernel-tools-debuginfo-4.14.114-105.126.amzn2.x86_64  
    kernel-devel-4.14.114-105.126.amzn2.x86_64  
    kernel-debuginfo-4.14.114-105.126.amzn2.x86_64  

Additional References

Red Hat: CVE-2019-11815

Mitre: CVE-2019-11815

8.1 High

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

NONE

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

HIGH

Integrity Impact

HIGH

Availability Impact

HIGH

CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:H/A:H

8.1 High

AI Score

Confidence

High

9.3 High

CVSS2

Access Vector

Access Complexity

Authentication

NONE

Confidentiality Impact

COMPLETE

Integrity Impact

COMPLETE

Availability Impact

COMPLETE

AV:N/AC:M/Au:N/C:C/I:C/A:C

0.007 Low

EPSS

Percentile

79.7%